Organizations

Get organization details by ID

Get organization details by ID. Requires: OrgBearerAuth (organization-level authentication only).

AuthBearer (JWT)
GroupOrganizations
Rate limitSee Rate Limits
GET/api/orgs/{orgId}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const organizations = new OrganizationsApi(configuration);
import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const organizations = new OrganizationsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await organizations.getOrganization("org_KUUpTnesaY");
const { data: result } = await organizations.getOrganization("org_KUUpTnesaY");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYes

Responses

200Organization details
json
{
  "_id": "685acbe0e129932fbb7a0fc3",
  "name": "Mudbase Inc",
  "slug": "mudbase-inc",
  "description": "Main organization",
  "plan": "pro",
  "createdAt": "2024-01-15T10:00:00.000Z"
}
{
  "_id": "685acbe0e129932fbb7a0fc3",
  "name": "Mudbase Inc",
  "slug": "mudbase-inc",
  "description": "Main organization",
  "plan": "pro",
  "createdAt": "2024-01-15T10:00:00.000Z"
}
Edit this page on GitHub